import { createRouter, createWebHashHistory } from 'vue-router'
import { ROUTE } from './menu.js'

// 使用命名的异步组件，便于调试
const XVueComponent = () => import(/* webpackChunkName: "xvue" */ '@views/xvue.vue');
const XVueLogin = () => import(/* webpackChunkName: "xvue" */ '@views/login.vue');

const routes = [
  {
    path: '/',
    name: 'main',
    redirect: '/report',
    children: [
      {
        path: '/report',
        name: 'report',
        title: '报表中心',
        component: XVueComponent
      },
    ]
  },
  {
    path: '/login',
    name: 'login',
    title: '登录',

    component: XVueLogin
  },
  // 添加一个简单的测试路由，用于验证路由系统是否正常工作
  {
    path: '/test',
    name: 'test',
    component: { 
      template: '<div>测试路由页面</div>' 
    }
  }
];

// 创建路由器时添加错误处理
const router = createRouter({
  history: createWebHashHistory(), // 在Electron中使用hash模式更可靠
  routes
});

router.onError((error) => {
  console.error('路由错误:', error);
});

export default router
